Bug 61826 - (SOUND ES1371)sndconfig cannot load es1371, crashes when trying to play a sound-sample
(SOUND ES1371)sndconfig cannot load es1371, crashes when trying to play a sou...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-24 18:54 EST by baulv
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description baulv 2002-03-24 18:54:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010726
Netscape6/6.1

Description of problem:
 modprobe es1371
/lib/modules/2.4.9-31/kernel/drivers/sound/es1371.o: init_module: No such device
Hint: insmod errors 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. [root@main /root]# modprobe es13712. (or soundcfg) 	

Actual Results:  

[root@main /root]# modprobe es1371
/lib/modules/2.4.9-31/kernel/drivers/sound/es1371.o: init_module: No such device
Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters
/lib/modules/2.4.9-31/kernel/drivers/sound/es1371.o: insmod
/lib/modules/2.4.9-31/kernel/drivers/sound/es1371.o failed
/lib/modules/2.4.9-31/kernel/drivers/sound/es1371.o: insmod es1371 failed


Expected Results:  sound to work!!

Additional info:

[root@main /root]# cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 2).
      Master Capable.  Latency=32.
      Prefetchable 32 bit memory at 0xd8000000 [0xdbffffff].
  Bus  0, device   1, function  0:
    PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 2).
      Master Capable.  Latency=64.  Min Gnt=136.
  Bus  0, device   7, function  0:
    ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 2).
  Bus  0, device   7, function  1:
    IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 1).
      Master Capable.  Latency=32.
      I/O at 0xf000 [0xf00f].
  Bus  0, device   7, function  2:
    USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 1).
      IRQ 4.
      Master Capable.  Latency=32.
      I/O at 0xd400 [0xd41f].
  Bus  0, device   7, function  3:
    Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 2).
      IRQ 9.
  Bus  0, device   9, function  0:
    Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 2).
      IRQ 4.
      Master Capable.  Latency=32.  Min Gnt=12.Max Lat=128.
      I/O at 0x9000 [0x903f].
  Bus  0, device  11, function  0:
    Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 2).
      IRQ 12.
      Master Capable.  Latency=32.  Min Gnt=8.Max Lat=56.
      Prefetchable 32 bit memory at 0xdf120000 [0xdf120fff].
      I/O at 0xd800 [0xd81f].
      Non-prefetchable 32 bit memory at 0xdf000000 [0xdf0fffff].
  Bus  0, device  13, function  0:
    Unknown mass storage controller: Promise Technology, Inc. 20262 (rev 1).
      IRQ 10.
      Master Capable.  Latency=32.
      I/O at 0xdc00 [0xdc07].
      I/O at 0xe000 [0xe003].
      I/O at 0xe400 [0xe407].
      I/O at 0xe800 [0xe803].
      I/O at 0xec00 [0xec3f].
      Non-prefetchable 32 bit memory at 0xdf100000 [0xdf11ffff].
  Bus  1, device   0, function  0:
    VGA compatible controller: nVidia Corporation GeForce 256 DDR (rev 16).
      IRQ 5.
      Master Capable. Latency=248.  Min Gnt=5.Max Lat=1.
      Non-prefetchable 32 bit memory at 0xdc000000 [0xdcffffff].
      Prefetchable 32 bit memory at 0xd0000000 [0xd7ffffff].
[root@main /root]#
snippets from /var/log/messages :

Mar 24 17:19:19 main kernel: es1371: version v0.30 time 07:16:17 Feb 26 2002
Mar 24 17:19:19 main kernel: PCI: Found IRQ 4 for device 00:09.0
Mar 24 17:19:19 main kernel: PCI: Sharing IRQ 4 with 00:07.2
Mar 24 17:19:19 main kernel: es1371: found chip, vendor id 0x1274 device id
0x1371 revision 0x02
Mar 24 17:19:19 main kernel: es1371: found es1371 rev 2 at io 0x9000 irq 4
Mar 24 17:19:19 main kernel: es1371: features: joystick 0x0
Mar 24 17:19:19 main insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/es1371.o: init_module: No such device
Mar 24 17:19:19 main insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
Mar 24 17:19:19 main kernel: ac97_codec: Primary ac97 codec not present
Mar 24 17:19:19 main kernel: es1371: cannot register misc device
Mar 24 17:19:19 main insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/es1371.o: insmod sound-slot-0 failed
Mar 24 17:19:19 main modprobe: modprobe: Can't locate module sound-service-
Mar 24 18:28:23 main kernel: es1371: version v0.30 time 07:16:17 Feb 26 2002
Mar 24 18:28:23 main kernel: PCI: Found IRQ 4 for device 00:09.0
Mar 24 18:28:23 main kernel: PCI: Sharing IRQ 4 with 00:07.2
Mar 24 18:28:23 main kernel: es1371: found chip, vendor id 0x1274 device id
0x1371 revision 0x02
Mar 24 18:28:23 main kernel: es1371: found es1371 rev 2 at io 0x9000 irq 4
Mar 24 18:28:23 main kernel: es1371: features: joystick 0x0
Mar 24 18:28:23 main kernel: ac97_codec: Primary ac97 codec not present (yeah
right!!)
Mar 24 18:28:23 main kernel: es1371: cannot register misc device

[root@main /root]# locate ac97
/usr/lib/perl5/5.6.0/i386-linux/linux/ac97_codec.ph
/usr/include/linux/ac97_codec.h
/usr/src/linux-2.4.9-31/drivers/sound/ac97.c
/usr/src/linux-2.4.9-31/drivers/sound/ac97.h
/usr/src/linux-2.4.9-31/drivers/sound/ac97_codec.c
/usr/src/linux-2.4.9-31/drivers/sound/emu10k1_new/ac97_codec.c
/usr/src/linux-2.4.9-31/drivers/sound/emu10k1_new/ac97_codec.h
/usr/src/linux-2.4.9-31/include/linux/ac97_codec.h
/usr/src/linux-2.4.9-31/include/linux/modules/ac97.stamp
/usr/src/linux-2.4.9-31/include/linux/modules/ac97.ver
/usr/src/linux-2.4.9-31/include/linux/modules/ac97_codec.stamp
/usr/src/linux-2.4.9-31/include/linux/modules/ac97_codec.ver
/lib/modules/2.4.9-21/kernel/drivers/sound/ac97.o
/lib/modules/2.4.9-21/kernel/drivers/sound/ac97_codec.o
/lib/modules/2.4.9-31/kernel/drivers/sound/ac97.o
/lib/modules/2.4.9-31/kernel/drivers/sound/ac97_codec.o
Comment 1 Bill Nottingham 2002-03-24 22:17:37 EST
Driver issue, assigning to kernel.
Comment 2 Bugzilla owner 2004-09-30 11:39:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.